#
# spec file for package pari-galpol
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           pari-galpol
Version:        20180625
Release:        0
Summary:        GALPOL polynomial database for the PARI CAS
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            http://pari.math.u-bordeaux.fr/

Source:         http://pari.math.u-bordeaux.fr/pub/pari/packages/galpol.tgz
Source2:        http://pari.math.u-bordeaux.fr/pub/pari/packages/galpol.tgz.asc
Source3:        LICENSE
BuildRequires:  fdupes
BuildArch:      noarch
Conflicts:      libpari-gmp < 2.4.3

%description
PARI package of the GALPOL database of polynomials defining Galois
extensions of the rationals, accessed by the "galoisgetpol" function.

%prep
%autosetup -n data
cp "%_sourcedir/LICENSE" .

%build

%install
c="%buildroot/%_datadir/pari"
mkdir -p "$c"
mv galpol "$c/"
%fdupes %buildroot/%_prefix

%files
%_datadir/pari
%license LICENSE

%changelog
